"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.writePackageJsonFormProject = exports.readPackageJsonForProjectWithRetry = exports.readPackageJsonForProject = void 0;
const node_utilities_1 = require("@rxap/node-utilities");
const workspace_utilities_1 = require("@rxap/workspace-utilities");
const path_1 = require("path");
const project_1 = require("./project");
function readPackageJsonForProject(context, projectName = context.projectName) {
    const packageJsonPath = (0, path_1.join)(context.root, (0, project_1.GetProjectRoot)(context, projectName), 'package.json');
    return (0, node_utilities_1.jsonFile)(packageJsonPath);
}
exports.readPackageJsonForProject = readPackageJsonForProject;
function readPackageJsonForProjectWithRetry(context, projectName = context.projectName, retries = 3, sleep = 3000) {
    const packageJsonPath = (0, path_1.join)(context.root, (0, project_1.GetProjectRoot)(context, projectName), 'package.json');
    return (0, node_utilities_1.jsonFileWithRetry)(packageJsonPath, retries, sleep);
}
exports.readPackageJsonForProjectWithRetry = readPackageJsonForProjectWithRetry;
function writePackageJsonFormProject(context, content, projectName = context.projectName) {
    const packageJsonPath = (0, path_1.join)(context.root, (0, project_1.GetProjectRoot)(context, projectName), 'package.json');
    (0, node_utilities_1.writeJsonFile)(packageJsonPath, (0, workspace_utilities_1.CleanupPackageJsonFile)(content));
}
exports.writePackageJsonFormProject = writePackageJsonFormProject;
//# sourceMappingURL=project-package-json.js.map