"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetProjectTargetOptions = exports.GetProjectTarget = exports.HasProjectTarget = void 0;
const workspace_utilities_1 = require("@rxap/workspace-utilities");
const project_1 = require("./project");
function HasProjectTarget(context, projectName = context.projectName, targetName) {
    var _a;
    const projectConfiguration = (0, project_1.GetProjectConfiguration)(context, projectName);
    return !!((_a = projectConfiguration.targets) === null || _a === void 0 ? void 0 : _a[targetName]);
}
exports.HasProjectTarget = HasProjectTarget;
function GetProjectTarget(context, projectName = context.projectName, targetName) {
    const projectConfiguration = (0, project_1.GetProjectConfiguration)(context, projectName);
    const targetConfiguration = projectConfiguration.targets ? projectConfiguration.targets[targetName] : undefined;
    if (!targetConfiguration) {
        throw new Error(`The target configuration for target '${targetName}' in project '${projectName}' not found!`);
    }
    return targetConfiguration;
}
exports.GetProjectTarget = GetProjectTarget;
function GetProjectTargetOptions(context, projectName = context.projectName, targetName, configurationName = context.configurationName) {
    const target = GetProjectTarget(context, projectName, targetName);
    return (0, workspace_utilities_1.GetTargetOptions)(target, configurationName);
}
exports.GetProjectTargetOptions = GetProjectTargetOptions;
//# sourceMappingURL=project-target.js.map